Description

Following feature would be very helpful:
Right now: You can add a Bolean (checkbox) field.

Like for QOS or for workflow management it would be good that those fields could be set to “Must be mandadory be checked” before
setting a ticket to closed or solved status.
This way, before closing the ticket, some parts have to be thought of, kinda like a checklist.

An example:
Manual Domainregistration:

A ticket is opened for a new domain to be registered.

One person pickes up the ticked, works on it, but before closing or solving it, he has to check like
- Informed Billing

- Informed Customer

- Added Nameserver

- Called Customer to add email

It would be pretty similar to what is possible right now, but you won’t get notified if you want to close the ticket and forget to check the
box.

History

#1 - 2009-03-12 13:20 - Thomas Pihl

Make a workflow that only permit you to do those steps in sequence. Then you have to update the issue to move it along the flow. It's a bit rigid since
you cannot change the order or allow parallell steps.

| would solve it another way:
e Custom fields for each checkbox.
¢ Saved filters finding all closed issues of that specific tracker that lacks any of the checkboxes. (or-filter would be good in this case but you can
make several instead).
* RssOWL or some other atom reader checking those filters and reporting issues that you then reopen and send back to the offender.
T
#2 - 2013-03-18 09:57 - Dipan Mehta

Currently Redmine cann't enforce such a workflow exactly. However, it will be great help to get partial things done on this line. You can use the plugin
called Issue Checklist which allows adding such checklists to each issues.

There are however, only 2 limitations - it doesn't load from any default template (you have to create checklist for each issue all over again). Second, it
doesn't stop closing the issue before all ticks done.

But still, it is still almost a half way!
Dipan.

#3 - 2013-03-18 12:44 - Daniel Felix

Yes this plugin is a good addition to Redmine. But it could be even better.
There are two ideas:

1. Integrate multicheckboxes to Redmine, with the abilities:
http://www.redmine.org/plugins/issue_checklist

required

all filled (means: all checkboxes needs to be checked)

there need to be a combination item which lets the user select which checkbox combination he wants to have. Example: pull down - feature
implementation needs the checkboxes (design, code and check).

. Integrate issue templates ( | know there exists one plugin but it has many limitations)

This would improve the following:

implementation of checkbox templates
implementation of different preselected forms, depending on the user selection
